Package sudoku.io

# Class SudokuSerializer

java.lang.Object
sudoku.io.SudokuSerializer

public class SudokuSerializer extends Object
Classe permettant d'effectuer des opérations sur les sudokus afin de les charger/sauvegarder

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SudokuSerializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MultiDoku`
  `deserializeSudoku(String json)`
  Construit un sudoku à partir d'un String en JSON
  `static MultiDoku`
  `deserializeSudoku(org.json.JSONObject jsonObject)`
  Désérialise un sudoku d'un objet JSON
  `static MultiDoku`
  `getSavedMultiDoku(int numberSave)`
  Get a MultiDoku from a pre-existing json save file.
  `static String`
  `saveMultiDoku(MultiDoku doku)`
  Save a serialized MultiDoku in a JSON file.
  `static String`
  `saveMultiDoku(MultiDoku doku, int saveToOverwrite)`
  `static org.json.JSONObject`
  `serializeSudoku(MultiDoku multidoku)`
  Convertit un sudoku en object JSON

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SudokuSerializer

    public SudokuSerializer()

- ## Method Details

  - ### serializeSudoku

    public static org.json.JSONObject serializeSudoku(MultiDoku multidoku)
    Convertit un sudoku en object JSON
    Parameters:
      `multidoku` - le sudoku à sérialiser
    Returns:
      le JSON

  - ### saveMultiDoku

    public static String saveMultiDoku(MultiDoku doku)
    Save a serialized MultiDoku in a JSON file.
    Parameters:
      `doku` - MultiDoku, MultiDoku to save.
    Returns:
      String, the path of the save.

  - ### saveMultiDoku

    public static String saveMultiDoku(MultiDoku doku, int saveToOverwrite)

  - ### getSavedMultiDoku

    public static MultiDoku getSavedMultiDoku(int numberSave) throws Exception
    Get a MultiDoku from a pre-existing json save file.
    Parameters:
      `numberSave` - int, number of the save file to open.
    Returns:
      MultiDoku, MultiDoku contained in the file.
    Throws:
      `Exception` - when the given save file does not exist.

  - ### deserializeSudoku

    public static MultiDoku deserializeSudoku(String json)
    Construit un sudoku à partir d'un String en JSON
    Parameters:
      `json` - le sudoku sérialisé
    Returns:
      le sudoku désérialisé

  - ### deserializeSudoku

    public static MultiDoku deserializeSudoku(org.json.JSONObject jsonObject)
    Désérialise un sudoku d'un objet JSON
    Parameters:
      `jsonObject` - l'objet à désérialiser
    Returns:
      le sudoku correspondant